# Changelog

## [0.5.0] - 2024-11-19

### Added
- Added functionality to execute actions from the menu in the general groups screen.
- Displayed the selected center on the general screen for better context.
- Implemented the option to collapse the sidebar for improved usability.
- Introduced a dropdown menu to select boot files (BootfileNames).
- Simplified the process of adding multiple clients in the subnets section.
- Enabled ogBoot to manage storage units more intuitively.
- Added preloading of template models in ogBoot for faster setup.
- Created a contextual help tour to guide users through various components and features.

### Improved
- Renamed the field "Reserved Room" to "Available RemotePC" for better clarity.
- Added view sizes for visual cards (`mat-card`).
- Refactored the task stepper to improve efficiency and readability.
- Replaced red "X" icons with more consistent and user-friendly visuals.
- Allowed logical names for IP addresses in the subnets section.
- Enabled reordering of commands when creating a command group.
- Made predefined commands read-only to prevent accidental modifications.
- Simplified the task creation modal to enhance user experience.
- Adjusted the translation system to cover new elements and improve consistency (work in progress).

### Fixed
- Resolved an issue that prevented editing software profiles correctly.
- Fixed a bug where newly created commands failed to execute in the commands section.

---

